# task.cpp File Reference

`#include <utility>`
`#include <vector>`
`#include <string>`
`#include <boost/assert.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/saga/url.hpp>`
`#include <saga/impl/task.hpp>`
`#include <saga/saga/detail/task_get_result_impl.hpp>`
`#include <saga/saga/detail/monitorable_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::detail
## Functions
template std::string & | saga::task::get_result< std::string > ()
template std::vector < std::string > & | saga::task::get_result< std::vector< std::string > > ()
template saga::size_t & | saga::task::get_result< saga::size_t > ()
template saga::ssize_t & | saga::task::get_result< saga::ssize_t > ()
template saga::off_t & | saga::task::get_result< saga::off_t > ()
template saga::context & | saga::task::get_result< saga::context > ()
template saga::url & | saga::task::get_result< saga::url > ()
template std::vector< saga::url > & | saga::task::get_result< std::vector< saga::url > > ()
void | saga::detail::set_selector_state (saga::task t, TR1::shared_ptr< impl::adaptor_selector_state > state)
saga::task | saga::detail::set_task_exception (saga::task t, saga::impl::object const *obj, saga::impl::exception_list const &e)